From e58f4270ed8c2e2b3a67c5f9cf74636e4641d128 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 01 2020 00:22:36 +0000
Subject: [PATCH 1116/2232] Merge pull request #389 from dtolnay/error


Fill in Error base class constructor calls
---

diff --git a/src/cxx.cc b/src/cxx.cc
index 1bfd8b9..0fba35c 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -173,9 +173,11 @@ const char *cxxbridge05$error(const char *ptr, size_t len) {
 } // extern "C"
 
 Error::Error(const Error &other)
-    : msg(cxxbridge05$error(other.msg, other.len)), len(other.len) {}
+    : std::exception(other), msg(cxxbridge05$error(other.msg, other.len)),
+      len(other.len) {}
 
-Error::Error(Error &&other) noexcept : msg(other.msg), len(other.len) {
+Error::Error(Error &&other) noexcept
+    : std::exception(std::move(other)), msg(other.msg), len(other.len) {
   other.msg = nullptr;
   other.len = 0;
 }

